public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pbr/
Date: Thu,  8 Oct 2015 02:08:40 +0000 (UTC)	[thread overview]
Message-ID: <1444270093.49b9ab141d5deda5fef33a7928ba73eb9f7ae14d.prometheanfire@gentoo> (raw)

commit:     49b9ab141d5deda5fef33a7928ba73eb9f7ae14d
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  8 02:08:13 2015 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Oct  8 02:08:13 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49b9ab14

dev-python/pbr: bup mitaka

Package-Manager: portage-2.2.20.1

 dev-python/pbr/Manifest         |  1 +
 dev-python/pbr/pbr-1.8.1.ebuild | 68 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/dev-python/pbr/Manifest b/dev-python/pbr/Manifest
index ef07123..c3325d6 100644
--- a/dev-python/pbr/Manifest
+++ b/dev-python/pbr/Manifest
@@ -8,3 +8,4 @@ DIST pbr-1.3.0.tar.gz 99701 SHA256 1a6f8d514fc11d2571c75c207d932c106f024f199b5f1
 DIST pbr-1.6.0.tar.gz 99945 SHA256 4eaee8ff5544703edd1951ed1dc0b283da99a74f740d9f9055eeefcf329de1d1 SHA512 a0393cc7774ea3e181ba75c976f5961686afeb214d8c16f3fdd3838154323cd856ded759cae1c6a25b0371c72d95e579b04de0902d56c432ef137f820032c0fd WHIRLPOOL f0a4c4744a86ee1285490ec78fa8e9dc910d926b05746ccf1be5342fe4369bf33a6373ff4fc9981f2547fa83dbc743de4b204a79c9eee8bd4396a983c5509686
 DIST pbr-1.7.0.tar.gz 99850 SHA256 d6e696dbd2b311225e3a21fe11d611989434cb366ff7919cef5ef1add859526e SHA512 333c99132008997b988f93488b1c4d42a30e14ee179866ee4624bdaae3c11ea2bd321d15c86ee435d325dd80fe1de64ff75113c2c8f5f7b31248188c9e3719fe WHIRLPOOL 62effaec7fb99c89dbba36af71208472c4cfb7fbbb2549440f995048b1ff0b0b2899b099774574c5501bc2d575253a6c8e5df7afccd449f3052a0ebf07f1269e
 DIST pbr-1.8.0.tar.gz 102868 SHA256 44a0ef9295bb59698f461124741a21a0f7f76d42e160d8a0a4bf1693338036fc SHA512 e1c1e7f0ebff7d7dc8af6c3a6fe1841ee80a9620b25f4146bd30ccbd2212e6332fa8c2aa1ca044cda2915a8bad6df468bd1dc365c330508fa8f07b8fa231736f WHIRLPOOL 9fe6546bef29a3f19d3e8f1ca09ce6f004e17bcadfb3fb5460d9a0db382f3e76218637ad8e34f4e5b6ae7caa8c38a54563ec1193b0ea7e5a56da71c48681dd3c
+DIST pbr-1.8.1.tar.gz 104584 SHA256 e2127626a91e6c885db89668976db31020f0af2da728924b56480fc7ccf09649 SHA512 909b3ef463787d68f75f300b483ffb7d1e54ef246ed893ab5cf84e5489e171b67b77c90a1f90259ca274eeb286a66a3f221d5e0c17df5d14d0aa263d36ba6eb4 WHIRLPOOL 69bf79cc322583b17e86ccb130894dbd5aed4b0b6c8c273c977a3a5ac79190cd15b96b28d76995021eb69c30b76bcf7e9a061c0280483da9ec0c69d33e9f0822

diff --git a/dev-python/pbr/pbr-1.8.1.ebuild b/dev-python/pbr/pbr-1.8.1.ebuild
new file mode 100644
index 0000000..9b26c1e
--- /dev/null
+++ b/dev-python/pbr/pbr-1.8.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Inject some useful and sensible default behaviors into setuptools"
+HOMEPAGE="https://github.com/openstack-dev/pbr"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+# git is needed for tests, see https://bugs.launchpad.net/pbr/+bug/1326682 and https://bugs.gentoo.org/show_bug.cgi?id=561038
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+		>=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+		>=dev-python/mock-1.2[${PYTHON_USEDEP}]
+		>=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+		>=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+		!~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+		<dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+		>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+		>=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+		>=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
+		>=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+		>=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+		dev-python/virtualenv[${PYTHON_USEDEP}]
+		dev-vcs/git
+	)"
+PDEPEND="dev-python/pip[${PYTHON_USEDEP}]"
+
+# This normally actually belongs here.
+python_prepare_all() {
+	# This test passes when run within the source and doesn't represent a failure, but rather
+	# a gentoo sandbox constraint
+	# Rm tests that rely upon the package being already installed and fail
+	sed -e s':test_console_script_develop:_&:' \
+		-e s':test_console_script_install:_&:' \
+		-e s':test_sdist_extra_files:_&:' \
+		-e s':test_command_hooks:_&:' \
+		-e s':test_sdist_git_extra_files:_&:' \
+		-i pbr/tests/test_core.py || die
+	sed -e s':test_command_hooks:_&:' \
+		-e s':test_global_setup_hooks:_&:' \
+		-i pbr/tests/test_hooks.py || die
+	einfo "rogue tests disabled"
+	sed -i '/^hacking/d' test-requirements.txt || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	distutils_install_for_testing
+
+	rm -rf .testrepository || die "couldn't remove '.testrepository' under ${EPTYHON}"
+
+	testr init || die "testr init failed under ${EPYTHON}"
+	testr run || die "testr run failed under ${EPYTHON}"
+}


             reply	other threads:[~2015-10-08  2:08 UTC|newest]

Thread overview: 177+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-08  2:08 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-22  9:20 [gentoo-commits] repo/gentoo:master commit in: dev-python/pbr/ Michał Górny
2025-02-22  8:31 Arthur Zamarin
2025-02-18 13:08 Michał Górny
2025-02-16 20:33 Michał Górny
2025-02-05  8:06 Michał Górny
2024-09-28 12:04 Michał Górny
2024-09-28 11:47 Sam James
2024-08-28  3:43 Michał Górny
2024-06-10 19:09 Michał Górny
2024-06-10 17:01 Michał Górny
2023-11-29 10:03 Michał Górny
2023-11-07 19:22 Michał Górny
2023-10-25  2:26 Sam James
2023-03-16  4:03 Michał Górny
2023-01-31 11:55 Michał Górny
2023-01-31 11:43 Arthur Zamarin
2023-01-11 20:34 Michał Górny
2022-11-25 14:04 Michał Górny
2022-11-25 13:54 Arthur Zamarin
2022-10-21  7:48 Michał Górny
2022-09-20  5:57 Michał Górny
2022-09-19 19:56 Arthur Zamarin
2022-08-13  8:05 Michał Górny
2022-06-21 20:14 Michał Górny
2022-06-21 19:09 Arthur Zamarin
2022-05-21 12:35 Michał Górny
2022-05-21  6:47 Michał Górny
2022-05-05 17:35 Arthur Zamarin
2022-04-28  9:49 Michał Górny
2022-02-02  7:29 Sam James
2022-01-30  9:22 James Le Cuirot
2021-12-19 21:15 Michał Górny
2021-12-19 21:08 Arthur Zamarin
2021-12-09 22:39 Michał Górny
2021-12-09 21:26 Sam James
2021-11-18 22:28 Michał Górny
2021-11-04 22:09 Michał Górny
2021-07-05 10:56 Michał Górny
2021-07-03 16:06 Michał Górny
2021-06-05 21:08 Michał Górny
2021-06-05 20:35 Sam James
2021-04-27  7:08 Michał Górny
2020-11-26  8:26 Michał Górny
2020-11-26  6:56 Agostino Sarubbo
2020-11-19 11:20 Agostino Sarubbo
2020-11-19 11:16 Agostino Sarubbo
2020-11-18 15:06 Agostino Sarubbo
2020-11-18 15:06 Agostino Sarubbo
2020-10-20  2:50 Michał Górny
2020-09-26 18:47 Matt Turner
2020-09-20 15:38 Michał Górny
2020-09-11 16:57 Sergei Trofimovich
2020-09-02 22:05 Michał Górny
2020-07-09 13:06 Michał Górny
2020-06-10  8:11 Michał Górny
2020-06-05 20:49 Sergei Trofimovich
2020-06-04  6:35 Agostino Sarubbo
2020-06-04  6:23 Agostino Sarubbo
2020-06-03 15:32 Agostino Sarubbo
2020-05-31 17:23 Michał Górny
2020-05-31 15:42 Michał Górny
2020-05-31 14:20 Michał Górny
2020-05-31 14:17 Michał Górny
2020-05-31  6:57 Matt Turner
2020-05-17  9:37 Sergei Trofimovich
2020-05-06 18:16 Mikle Kolyada
2020-05-06 16:41 Mikle Kolyada
2020-04-21 19:45 Sergei Trofimovich
2020-04-16 15:34 Matthew Thode
2020-04-09 22:02 Sergei Trofimovich
2020-04-09 18:40 Sergei Trofimovich
2020-04-09 18:40 Sergei Trofimovich
2020-04-09 18:40 Sergei Trofimovich
2020-03-28 13:34 Michał Górny
2020-03-28 13:34 Michał Górny
2020-03-27  8:58 Michał Górny
2020-03-27  8:58 Michał Górny
2020-03-27  8:58 Michał Górny
2020-03-18 18:39 Michał Górny
2020-02-11 20:15 Matthew Thode
2020-01-03 20:46 David Seifert
2019-12-30 21:54 Piotr Karbowski
2019-12-16 10:14 Michał Górny
2019-06-24 13:51 Michael Haubenwallner
2019-03-20 18:48 Mikle Kolyada
2018-11-06 16:39 Matthew Thode
2018-10-24  0:36 Matthew Thode
2018-10-03 19:41 Matthew Thode
2018-09-01 17:42 Matt Thode
2018-08-30 17:50 Matt Thode
2018-07-25  7:56 Matt Thode
2018-07-25  7:07 Matt Thode
2018-07-24 16:25 Matt Thode
2018-07-21  5:44 Matt Thode
2018-07-05 19:37 Matt Thode
2018-06-08  8:18 Mikle Kolyada
2018-06-07  5:24 Matt Thode
2018-05-15 14:53 Matt Thode
2018-04-11 16:45 Matt Thode
2018-04-04 18:53 Matt Thode
2018-03-27 23:15 Matt Turner
2018-03-12  1:15 Matt Turner
2017-12-24 13:21 Patrice Clement
2017-09-22 19:40 Sergei Trofimovich
2017-09-10 14:03 Sergei Trofimovich
2017-08-02 21:01 Matt Thode
2017-07-30  1:57 Matt Thode
2017-07-29 20:38 Matt Thode
2017-07-29 20:38 Matt Thode
2017-07-18  8:25 Sergei Trofimovich
2017-07-10 13:15 Alexis Ballier
2017-07-01 11:06 Sergei Trofimovich
2017-07-01 11:06 Sergei Trofimovich
2017-06-23 16:14 Matt Thode
2017-06-20 19:00 Matt Thode
2017-05-18  6:45 Matt Thode
2017-05-18  6:44 Matt Thode
2017-05-13  6:32 Markus Meier
2017-05-11 19:34 Markus Meier
2017-05-06 11:27 Jeroen Roovers
2017-05-04 23:05 Matt Thode
2017-04-11 14:00 Matt Thode
2017-03-23  6:14 Matt Thode
2017-03-23  5:37 Matt Thode
2017-02-27  3:53 Zac Medico
2017-02-23 16:18 Michael Weber
2017-01-16 19:56 Tobias Klausmann
2017-01-07  9:41 Jeroen Roovers
2017-01-07  9:41 Jeroen Roovers
2017-01-03 16:37 Matt Thode
2016-12-29  7:46 Michael Palimaka
2016-12-05 20:45 Pacho Ramos
2016-09-11 18:58 Jeroen Roovers
2016-06-10 16:49 Patrick Lauer
2016-05-31 19:17 Markus Meier
2016-05-24 19:36 Matt Thode
2016-04-15  3:08 Matt Thode
2016-04-12 14:41 Matt Thode
2016-02-09  9:33 Justin Lecher
2016-01-18  1:10 Matt Thode
2015-12-07 18:33 Mike Frysinger
2015-11-23 13:06 Justin Lecher
2015-11-23 11:19 Justin Lecher
2015-11-22  8:38 Markus Meier
2015-11-22  5:38 Jeroen Roovers
2015-11-19 10:25 Agostino Sarubbo
2015-11-18 10:19 Agostino Sarubbo
2015-11-18 10:17 Agostino Sarubbo
2015-11-16 15:01 Agostino Sarubbo
2015-11-11 17:27 Justin Lecher
2015-11-05 11:52 Agostino Sarubbo
2015-11-04 16:09 Agostino Sarubbo
2015-11-04 15:50 Agostino Sarubbo
2015-11-03 12:58 Justin Lecher
2015-11-02 13:12 Agostino Sarubbo
2015-11-02 13:09 Agostino Sarubbo
2015-11-02 11:50 Justin Lecher
2015-10-15 14:41 Justin Lecher
2015-10-15 14:41 Justin Lecher
2015-10-15 14:41 Justin Lecher
2015-10-14 16:42 Justin Lecher
2015-10-14 13:40 Justin Lecher
2015-10-10 18:49 Mikle Kolyada
2015-09-27 16:17 Markus Meier
2015-09-22  8:26 Tobias Klausmann
2015-09-22  6:38 Matt Thode
2015-09-15  6:20 Justin Lecher
2015-09-14  5:20 Jeroen Roovers
2015-09-09  9:49 Justin Lecher
2015-09-08  8:16 Joshua Kinard
2015-09-01 15:27 Matt Thode
2015-08-27  9:37 Justin Lecher
2015-08-25  8:10 Justin Lecher
2015-08-24 10:12 Justin Lecher
2015-08-14  4:46 Matt Thode
2015-08-13 22:17 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444270093.49b9ab141d5deda5fef33a7928ba73eb9f7ae14d.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox